summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/func/failed_func.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-09 02:33:06 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-09 02:33:06 (GMT)
commit1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e (patch)
treef336ee91ce16c6591fff50340562e07e15aa1a55 /abs/mv-core/func/failed_func.sh
parent75b1bceb21faab32d8f519d6f7f7062a226f9047 (diff)
downloadlinhes_pkgbuild-1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e.zip
linhes_pkgbuild-1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e.tar.gz
linhes_pkgbuild-1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e.tar.bz2
MythVantage specific pkgs
Diffstat (limited to 'abs/mv-core/func/failed_func.sh')
-rwxr-xr-xabs/mv-core/func/failed_func.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/abs/mv-core/func/failed_func.sh b/abs/mv-core/func/failed_func.sh
new file mode 100755
index 0000000..2ec4da7
--- /dev/null
+++ b/abs/mv-core/func/failed_func.sh
@@ -0,0 +1,14 @@
+. /etc/profile
+. /etc/systemconfig
+curl -# http://$dbhost/failed_func_hosts|grep -q `hostname`
+status=$?
+if [ $status = 0 ]
+then
+ echo "removeing ca"
+ rm -f /etc/pki/func/*
+ echo "restarting func"
+ sv stop funcd
+ sleep 3
+ sv start funcd
+fi
+